PPUCTRL_2000     = $2000
PPUMASK_2001     = $2001
PPUSTATUS_2002   = $2002
OAMADDR_2003     = $2003
OAMDATA_2004     = $2004
PPUSCROLL_2005   = $2005
PPUADDR_2006     = $2006
PPUDATA_2007     = $2007
OAMDMA_4014      = $4014
PAD1_4016        = $4016
PAD2_4017        = $4017

KEY_A		= %10000000
KEY_B 		= %01000000
KEY_SELECT	= %00100000
KEY_START	= %00010000
KEY_UP 		= %00001000
KEY_DOWN	= %00000100
KEY_LEFT	= %00000010
KEY_RIGHT	= %00000001


PJUMP 		= 3
PMAXJUMP	= $a
PMAXX		= 2
GRAV		= $c0		; lower values = stronger gravity
HORACCEL	= 1
GROUND		= $9F
FRICTION	= $30

PALBUFFER	= $100

PROTECTEDOAM 	= $200
OAM				= $200

FT_BASE_ADR		= $400	;page in the RAM used for FT2 variables, should be $xx00
;FT_TEMP			= $fd	;defined this on the zero page
FT_DPCM_OFF		= dmc_data	;$c000..$ffc0, 64-byte steps
FT_SFX_STREAMS	= 4		;number of sound effects played at once, 1..4

FT_DPCM_ENABLE	= 1		;undefine to exclude all DMC code
FT_SFX_ENABLE	= 1		;undefine to exclude all sound effects code
FT_THREAD		= 1		;undefine if you are calling sound effects from the same thread as the sound update call

FT_PAL_SUPPORT	= 0		;undefine to exclude PAL support
FT_NTSC_SUPPORT	= 1		;undefine to exclude NTSC support
FT_PITCH_FIX 	= 0