.proc nmi_handler

  pha
  txa
  pha
  tya
  pha

  ; transfer sprites from buffer
  lda #$00
  sta OAMADDR_2003  ; sprite RAM low byte
  lda #$02          ; sprite RAM high byte and starts transfer
  sta OAMDMA_4014

  ;transfer palettes
  jsr transfer_pal
  
  ; apply scroll
  lda scroll_x
  sta PPUSCROLL_2005
  lda scroll_y
  sta PPUSCROLL_2005

  ; update ppu regs
  lda ppuctrl_soft
  ora scroll_lowbit
  sta $2000
  lda ppumask_soft
  sta $2001

  lda #$00
  sta framedone

  pla
  tay
  pla
  tax
  pla
  
  rti                   ; finish nmi, go back to where the pc was
.endproc